Retrieve notifications
curl --request GET \
--url https://{tenant}/api/org/notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/org/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/org/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "b52f491a-2946-408b-9330-2736db85705b",
"created_at": "2025-08-13T09:16:12.194Z",
"org_id": "683d6e6a954737af2aa8e5c2",
"hash": "17090217262863020087",
"kind": "warning",
"topic": "certificate.expiry",
"title": "Certificate will expire soon",
"message": "Certificate with ID 683d6e6a954737af2aa8e5c20d545f3211d5a53684114dc8b3ebb2503edf6fabf2e5812425be2fa108f3fb4d will expire in less than 18 days",
"data": {
"cert_id": "683d6e6a954737af2aa8e5c20d545f3211d5a53684114dc8b3ebb2503edf6fabf2e5812425be2fa108f3fb4d",
"expiry_date": "2025-08-31T08:41:53.000Z",
"days_remaining": 17
}
}
]{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/org/notifications",
"Meta": null,
"Status": "Error"
}Organisation Notifications
Retrieve notifications
Retrieve all notifications that have been issued for a specific Tyk Organisation.
GET
/
api
/
org
/
notifications
Retrieve notifications
Authorizations
The Tyk Dashboard API Access Credentials
Query Parameters
Setting refresh to true will force the API to refresh the list of notifications.
Response
Returns a list of notifications that have been issued for the specified Tyk Organisation.
Was this page helpful?
⌘I